Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network53.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
53.0.0.0
Broadcast address
53.255.255.255
First usable
53.0.0.1
Last usable
53.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 35000000 · Integer 889192448 to 905969663
Reverse DNS zone
53.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110101..00000000.00000000.0000000053.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00110101..00000000.00000000.0000000053.0.0.0
Broadcast00110101..11111111.11111111.1111111153.255.255.255
Split into smaller subnets/18

53.0.0.0/8 makes 1,024 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
153.0.0.0/1853.0.0.1 to 53.0.63.25453.0.63.25516,382
253.0.64.0/1853.0.64.1 to 53.0.127.25453.0.127.25516,382
353.0.128.0/1853.0.128.1 to 53.0.191.25453.0.191.25516,382
453.0.192.0/1853.0.192.1 to 53.0.255.25453.0.255.25516,382
553.1.0.0/1853.1.0.1 to 53.1.63.25453.1.63.25516,382
653.1.64.0/1853.1.64.1 to 53.1.127.25453.1.127.25516,382
753.1.128.0/1853.1.128.1 to 53.1.191.25453.1.191.25516,382
853.1.192.0/1853.1.192.1 to 53.1.255.25453.1.255.25516,382
953.2.0.0/1853.2.0.1 to 53.2.63.25453.2.63.25516,382
1053.2.64.0/1853.2.64.1 to 53.2.127.25453.2.127.25516,382
1153.2.128.0/1853.2.128.1 to 53.2.191.25453.2.191.25516,382
1253.2.192.0/1853.2.192.1 to 53.2.255.25453.2.255.25516,382
1353.3.0.0/1853.3.0.1 to 53.3.63.25453.3.63.25516,382
1453.3.64.0/1853.3.64.1 to 53.3.127.25453.3.127.25516,382
1553.3.128.0/1853.3.128.1 to 53.3.191.25453.3.191.25516,382
1653.3.192.0/1853.3.192.1 to 53.3.255.25453.3.255.25516,382
1753.4.0.0/1853.4.0.1 to 53.4.63.25453.4.63.25516,382
1853.4.64.0/1853.4.64.1 to 53.4.127.25453.4.127.25516,382
1953.4.128.0/1853.4.128.1 to 53.4.191.25453.4.191.25516,382
2053.4.192.0/1853.4.192.1 to 53.4.255.25453.4.255.25516,382
2153.5.0.0/1853.5.0.1 to 53.5.63.25453.5.63.25516,382
2253.5.64.0/1853.5.64.1 to 53.5.127.25453.5.127.25516,382
2353.5.128.0/1853.5.128.1 to 53.5.191.25453.5.191.25516,382
2453.5.192.0/1853.5.192.1 to 53.5.255.25453.5.255.25516,382
2553.6.0.0/1853.6.0.1 to 53.6.63.25453.6.63.25516,382
2653.6.64.0/1853.6.64.1 to 53.6.127.25453.6.127.25516,382
2753.6.128.0/1853.6.128.1 to 53.6.191.25453.6.191.25516,382
2853.6.192.0/1853.6.192.1 to 53.6.255.25453.6.255.25516,382
2953.7.0.0/1853.7.0.1 to 53.7.63.25453.7.63.25516,382
3053.7.64.0/1853.7.64.1 to 53.7.127.25453.7.127.25516,382
3153.7.128.0/1853.7.128.1 to 53.7.191.25453.7.191.25516,382
3253.7.192.0/1853.7.192.1 to 53.7.255.25453.7.255.25516,382
3353.8.0.0/1853.8.0.1 to 53.8.63.25453.8.63.25516,382
3453.8.64.0/1853.8.64.1 to 53.8.127.25453.8.127.25516,382
3553.8.128.0/1853.8.128.1 to 53.8.191.25453.8.191.25516,382
3653.8.192.0/1853.8.192.1 to 53.8.255.25453.8.255.25516,382
3753.9.0.0/1853.9.0.1 to 53.9.63.25453.9.63.25516,382
3853.9.64.0/1853.9.64.1 to 53.9.127.25453.9.127.25516,382
3953.9.128.0/1853.9.128.1 to 53.9.191.25453.9.191.25516,382
4053.9.192.0/1853.9.192.1 to 53.9.255.25453.9.255.25516,382
4153.10.0.0/1853.10.0.1 to 53.10.63.25453.10.63.25516,382
4253.10.64.0/1853.10.64.1 to 53.10.127.25453.10.127.25516,382
4353.10.128.0/1853.10.128.1 to 53.10.191.25453.10.191.25516,382
4453.10.192.0/1853.10.192.1 to 53.10.255.25453.10.255.25516,382
4553.11.0.0/1853.11.0.1 to 53.11.63.25453.11.63.25516,382
4653.11.64.0/1853.11.64.1 to 53.11.127.25453.11.127.25516,382
4753.11.128.0/1853.11.128.1 to 53.11.191.25453.11.191.25516,382
4853.11.192.0/1853.11.192.1 to 53.11.255.25453.11.255.25516,382
4953.12.0.0/1853.12.0.1 to 53.12.63.25453.12.63.25516,382
5053.12.64.0/1853.12.64.1 to 53.12.127.25453.12.127.25516,382
5153.12.128.0/1853.12.128.1 to 53.12.191.25453.12.191.25516,382
5253.12.192.0/1853.12.192.1 to 53.12.255.25453.12.255.25516,382
5353.13.0.0/1853.13.0.1 to 53.13.63.25453.13.63.25516,382
5453.13.64.0/1853.13.64.1 to 53.13.127.25453.13.127.25516,382
5553.13.128.0/1853.13.128.1 to 53.13.191.25453.13.191.25516,382
5653.13.192.0/1853.13.192.1 to 53.13.255.25453.13.255.25516,382
5753.14.0.0/1853.14.0.1 to 53.14.63.25453.14.63.25516,382
5853.14.64.0/1853.14.64.1 to 53.14.127.25453.14.127.25516,382
5953.14.128.0/1853.14.128.1 to 53.14.191.25453.14.191.25516,382
6053.14.192.0/1853.14.192.1 to 53.14.255.25453.14.255.25516,382
6153.15.0.0/1853.15.0.1 to 53.15.63.25453.15.63.25516,382
6253.15.64.0/1853.15.64.1 to 53.15.127.25453.15.127.25516,382
6353.15.128.0/1853.15.128.1 to 53.15.191.25453.15.191.25516,382
6453.15.192.0/1853.15.192.1 to 53.15.255.25453.15.255.25516,382
6553.16.0.0/1853.16.0.1 to 53.16.63.25453.16.63.25516,382
6653.16.64.0/1853.16.64.1 to 53.16.127.25453.16.127.25516,382
6753.16.128.0/1853.16.128.1 to 53.16.191.25453.16.191.25516,382
6853.16.192.0/1853.16.192.1 to 53.16.255.25453.16.255.25516,382
6953.17.0.0/1853.17.0.1 to 53.17.63.25453.17.63.25516,382
7053.17.64.0/1853.17.64.1 to 53.17.127.25453.17.127.25516,382
7153.17.128.0/1853.17.128.1 to 53.17.191.25453.17.191.25516,382
7253.17.192.0/1853.17.192.1 to 53.17.255.25453.17.255.25516,382
7353.18.0.0/1853.18.0.1 to 53.18.63.25453.18.63.25516,382
7453.18.64.0/1853.18.64.1 to 53.18.127.25453.18.127.25516,382
7553.18.128.0/1853.18.128.1 to 53.18.191.25453.18.191.25516,382
7653.18.192.0/1853.18.192.1 to 53.18.255.25453.18.255.25516,382
7753.19.0.0/1853.19.0.1 to 53.19.63.25453.19.63.25516,382
7853.19.64.0/1853.19.64.1 to 53.19.127.25453.19.127.25516,382
7953.19.128.0/1853.19.128.1 to 53.19.191.25453.19.191.25516,382
8053.19.192.0/1853.19.192.1 to 53.19.255.25453.19.255.25516,382
8153.20.0.0/1853.20.0.1 to 53.20.63.25453.20.63.25516,382
8253.20.64.0/1853.20.64.1 to 53.20.127.25453.20.127.25516,382
8353.20.128.0/1853.20.128.1 to 53.20.191.25453.20.191.25516,382
8453.20.192.0/1853.20.192.1 to 53.20.255.25453.20.255.25516,382
8553.21.0.0/1853.21.0.1 to 53.21.63.25453.21.63.25516,382
8653.21.64.0/1853.21.64.1 to 53.21.127.25453.21.127.25516,382
8753.21.128.0/1853.21.128.1 to 53.21.191.25453.21.191.25516,382
8853.21.192.0/1853.21.192.1 to 53.21.255.25453.21.255.25516,382
8953.22.0.0/1853.22.0.1 to 53.22.63.25453.22.63.25516,382
9053.22.64.0/1853.22.64.1 to 53.22.127.25453.22.127.25516,382
9153.22.128.0/1853.22.128.1 to 53.22.191.25453.22.191.25516,382
9253.22.192.0/1853.22.192.1 to 53.22.255.25453.22.255.25516,382
9353.23.0.0/1853.23.0.1 to 53.23.63.25453.23.63.25516,382
9453.23.64.0/1853.23.64.1 to 53.23.127.25453.23.127.25516,382
9553.23.128.0/1853.23.128.1 to 53.23.191.25453.23.191.25516,382
9653.23.192.0/1853.23.192.1 to 53.23.255.25453.23.255.25516,382
9753.24.0.0/1853.24.0.1 to 53.24.63.25453.24.63.25516,382
9853.24.64.0/1853.24.64.1 to 53.24.127.25453.24.127.25516,382
9953.24.128.0/1853.24.128.1 to 53.24.191.25453.24.191.25516,382
10053.24.192.0/1853.24.192.1 to 53.24.255.25453.24.255.25516,382
10153.25.0.0/1853.25.0.1 to 53.25.63.25453.25.63.25516,382
10253.25.64.0/1853.25.64.1 to 53.25.127.25453.25.127.25516,382
10353.25.128.0/1853.25.128.1 to 53.25.191.25453.25.191.25516,382
10453.25.192.0/1853.25.192.1 to 53.25.255.25453.25.255.25516,382
10553.26.0.0/1853.26.0.1 to 53.26.63.25453.26.63.25516,382
10653.26.64.0/1853.26.64.1 to 53.26.127.25453.26.127.25516,382
10753.26.128.0/1853.26.128.1 to 53.26.191.25453.26.191.25516,382
10853.26.192.0/1853.26.192.1 to 53.26.255.25453.26.255.25516,382
10953.27.0.0/1853.27.0.1 to 53.27.63.25453.27.63.25516,382
11053.27.64.0/1853.27.64.1 to 53.27.127.25453.27.127.25516,382
11153.27.128.0/1853.27.128.1 to 53.27.191.25453.27.191.25516,382
11253.27.192.0/1853.27.192.1 to 53.27.255.25453.27.255.25516,382
11353.28.0.0/1853.28.0.1 to 53.28.63.25453.28.63.25516,382
11453.28.64.0/1853.28.64.1 to 53.28.127.25453.28.127.25516,382
11553.28.128.0/1853.28.128.1 to 53.28.191.25453.28.191.25516,382
11653.28.192.0/1853.28.192.1 to 53.28.255.25453.28.255.25516,382
11753.29.0.0/1853.29.0.1 to 53.29.63.25453.29.63.25516,382
11853.29.64.0/1853.29.64.1 to 53.29.127.25453.29.127.25516,382
11953.29.128.0/1853.29.128.1 to 53.29.191.25453.29.191.25516,382
12053.29.192.0/1853.29.192.1 to 53.29.255.25453.29.255.25516,382
12153.30.0.0/1853.30.0.1 to 53.30.63.25453.30.63.25516,382
12253.30.64.0/1853.30.64.1 to 53.30.127.25453.30.127.25516,382
12353.30.128.0/1853.30.128.1 to 53.30.191.25453.30.191.25516,382
12453.30.192.0/1853.30.192.1 to 53.30.255.25453.30.255.25516,382
12553.31.0.0/1853.31.0.1 to 53.31.63.25453.31.63.25516,382
12653.31.64.0/1853.31.64.1 to 53.31.127.25453.31.127.25516,382
12753.31.128.0/1853.31.128.1 to 53.31.191.25453.31.191.25516,382
12853.31.192.0/1853.31.192.1 to 53.31.255.25453.31.255.25516,382
12953.32.0.0/1853.32.0.1 to 53.32.63.25453.32.63.25516,382
13053.32.64.0/1853.32.64.1 to 53.32.127.25453.32.127.25516,382
13153.32.128.0/1853.32.128.1 to 53.32.191.25453.32.191.25516,382
13253.32.192.0/1853.32.192.1 to 53.32.255.25453.32.255.25516,382
13353.33.0.0/1853.33.0.1 to 53.33.63.25453.33.63.25516,382
13453.33.64.0/1853.33.64.1 to 53.33.127.25453.33.127.25516,382
13553.33.128.0/1853.33.128.1 to 53.33.191.25453.33.191.25516,382
13653.33.192.0/1853.33.192.1 to 53.33.255.25453.33.255.25516,382
13753.34.0.0/1853.34.0.1 to 53.34.63.25453.34.63.25516,382
13853.34.64.0/1853.34.64.1 to 53.34.127.25453.34.127.25516,382
13953.34.128.0/1853.34.128.1 to 53.34.191.25453.34.191.25516,382
14053.34.192.0/1853.34.192.1 to 53.34.255.25453.34.255.25516,382
14153.35.0.0/1853.35.0.1 to 53.35.63.25453.35.63.25516,382
14253.35.64.0/1853.35.64.1 to 53.35.127.25453.35.127.25516,382
14353.35.128.0/1853.35.128.1 to 53.35.191.25453.35.191.25516,382
14453.35.192.0/1853.35.192.1 to 53.35.255.25453.35.255.25516,382
14553.36.0.0/1853.36.0.1 to 53.36.63.25453.36.63.25516,382
14653.36.64.0/1853.36.64.1 to 53.36.127.25453.36.127.25516,382
14753.36.128.0/1853.36.128.1 to 53.36.191.25453.36.191.25516,382
14853.36.192.0/1853.36.192.1 to 53.36.255.25453.36.255.25516,382
14953.37.0.0/1853.37.0.1 to 53.37.63.25453.37.63.25516,382
15053.37.64.0/1853.37.64.1 to 53.37.127.25453.37.127.25516,382
15153.37.128.0/1853.37.128.1 to 53.37.191.25453.37.191.25516,382
15253.37.192.0/1853.37.192.1 to 53.37.255.25453.37.255.25516,382
15353.38.0.0/1853.38.0.1 to 53.38.63.25453.38.63.25516,382
15453.38.64.0/1853.38.64.1 to 53.38.127.25453.38.127.25516,382
15553.38.128.0/1853.38.128.1 to 53.38.191.25453.38.191.25516,382
15653.38.192.0/1853.38.192.1 to 53.38.255.25453.38.255.25516,382
15753.39.0.0/1853.39.0.1 to 53.39.63.25453.39.63.25516,382
15853.39.64.0/1853.39.64.1 to 53.39.127.25453.39.127.25516,382
15953.39.128.0/1853.39.128.1 to 53.39.191.25453.39.191.25516,382
16053.39.192.0/1853.39.192.1 to 53.39.255.25453.39.255.25516,382
16153.40.0.0/1853.40.0.1 to 53.40.63.25453.40.63.25516,382
16253.40.64.0/1853.40.64.1 to 53.40.127.25453.40.127.25516,382
16353.40.128.0/1853.40.128.1 to 53.40.191.25453.40.191.25516,382
16453.40.192.0/1853.40.192.1 to 53.40.255.25453.40.255.25516,382
16553.41.0.0/1853.41.0.1 to 53.41.63.25453.41.63.25516,382
16653.41.64.0/1853.41.64.1 to 53.41.127.25453.41.127.25516,382
16753.41.128.0/1853.41.128.1 to 53.41.191.25453.41.191.25516,382
16853.41.192.0/1853.41.192.1 to 53.41.255.25453.41.255.25516,382
16953.42.0.0/1853.42.0.1 to 53.42.63.25453.42.63.25516,382
17053.42.64.0/1853.42.64.1 to 53.42.127.25453.42.127.25516,382
17153.42.128.0/1853.42.128.1 to 53.42.191.25453.42.191.25516,382
17253.42.192.0/1853.42.192.1 to 53.42.255.25453.42.255.25516,382
17353.43.0.0/1853.43.0.1 to 53.43.63.25453.43.63.25516,382
17453.43.64.0/1853.43.64.1 to 53.43.127.25453.43.127.25516,382
17553.43.128.0/1853.43.128.1 to 53.43.191.25453.43.191.25516,382
17653.43.192.0/1853.43.192.1 to 53.43.255.25453.43.255.25516,382
17753.44.0.0/1853.44.0.1 to 53.44.63.25453.44.63.25516,382
17853.44.64.0/1853.44.64.1 to 53.44.127.25453.44.127.25516,382
17953.44.128.0/1853.44.128.1 to 53.44.191.25453.44.191.25516,382
18053.44.192.0/1853.44.192.1 to 53.44.255.25453.44.255.25516,382
18153.45.0.0/1853.45.0.1 to 53.45.63.25453.45.63.25516,382
18253.45.64.0/1853.45.64.1 to 53.45.127.25453.45.127.25516,382
18353.45.128.0/1853.45.128.1 to 53.45.191.25453.45.191.25516,382
18453.45.192.0/1853.45.192.1 to 53.45.255.25453.45.255.25516,382
18553.46.0.0/1853.46.0.1 to 53.46.63.25453.46.63.25516,382
18653.46.64.0/1853.46.64.1 to 53.46.127.25453.46.127.25516,382
18753.46.128.0/1853.46.128.1 to 53.46.191.25453.46.191.25516,382
18853.46.192.0/1853.46.192.1 to 53.46.255.25453.46.255.25516,382
18953.47.0.0/1853.47.0.1 to 53.47.63.25453.47.63.25516,382
19053.47.64.0/1853.47.64.1 to 53.47.127.25453.47.127.25516,382
19153.47.128.0/1853.47.128.1 to 53.47.191.25453.47.191.25516,382
19253.47.192.0/1853.47.192.1 to 53.47.255.25453.47.255.25516,382
19353.48.0.0/1853.48.0.1 to 53.48.63.25453.48.63.25516,382
19453.48.64.0/1853.48.64.1 to 53.48.127.25453.48.127.25516,382
19553.48.128.0/1853.48.128.1 to 53.48.191.25453.48.191.25516,382
19653.48.192.0/1853.48.192.1 to 53.48.255.25453.48.255.25516,382
19753.49.0.0/1853.49.0.1 to 53.49.63.25453.49.63.25516,382
19853.49.64.0/1853.49.64.1 to 53.49.127.25453.49.127.25516,382
19953.49.128.0/1853.49.128.1 to 53.49.191.25453.49.191.25516,382
20053.49.192.0/1853.49.192.1 to 53.49.255.25453.49.255.25516,382
20153.50.0.0/1853.50.0.1 to 53.50.63.25453.50.63.25516,382
20253.50.64.0/1853.50.64.1 to 53.50.127.25453.50.127.25516,382
20353.50.128.0/1853.50.128.1 to 53.50.191.25453.50.191.25516,382
20453.50.192.0/1853.50.192.1 to 53.50.255.25453.50.255.25516,382
20553.51.0.0/1853.51.0.1 to 53.51.63.25453.51.63.25516,382
20653.51.64.0/1853.51.64.1 to 53.51.127.25453.51.127.25516,382
20753.51.128.0/1853.51.128.1 to 53.51.191.25453.51.191.25516,382
20853.51.192.0/1853.51.192.1 to 53.51.255.25453.51.255.25516,382
20953.52.0.0/1853.52.0.1 to 53.52.63.25453.52.63.25516,382
21053.52.64.0/1853.52.64.1 to 53.52.127.25453.52.127.25516,382
21153.52.128.0/1853.52.128.1 to 53.52.191.25453.52.191.25516,382
21253.52.192.0/1853.52.192.1 to 53.52.255.25453.52.255.25516,382
21353.53.0.0/1853.53.0.1 to 53.53.63.25453.53.63.25516,382
21453.53.64.0/1853.53.64.1 to 53.53.127.25453.53.127.25516,382
21553.53.128.0/1853.53.128.1 to 53.53.191.25453.53.191.25516,382
21653.53.192.0/1853.53.192.1 to 53.53.255.25453.53.255.25516,382
21753.54.0.0/1853.54.0.1 to 53.54.63.25453.54.63.25516,382
21853.54.64.0/1853.54.64.1 to 53.54.127.25453.54.127.25516,382
21953.54.128.0/1853.54.128.1 to 53.54.191.25453.54.191.25516,382
22053.54.192.0/1853.54.192.1 to 53.54.255.25453.54.255.25516,382
22153.55.0.0/1853.55.0.1 to 53.55.63.25453.55.63.25516,382
22253.55.64.0/1853.55.64.1 to 53.55.127.25453.55.127.25516,382
22353.55.128.0/1853.55.128.1 to 53.55.191.25453.55.191.25516,382
22453.55.192.0/1853.55.192.1 to 53.55.255.25453.55.255.25516,382
22553.56.0.0/1853.56.0.1 to 53.56.63.25453.56.63.25516,382
22653.56.64.0/1853.56.64.1 to 53.56.127.25453.56.127.25516,382
22753.56.128.0/1853.56.128.1 to 53.56.191.25453.56.191.25516,382
22853.56.192.0/1853.56.192.1 to 53.56.255.25453.56.255.25516,382
22953.57.0.0/1853.57.0.1 to 53.57.63.25453.57.63.25516,382
23053.57.64.0/1853.57.64.1 to 53.57.127.25453.57.127.25516,382
23153.57.128.0/1853.57.128.1 to 53.57.191.25453.57.191.25516,382
23253.57.192.0/1853.57.192.1 to 53.57.255.25453.57.255.25516,382
23353.58.0.0/1853.58.0.1 to 53.58.63.25453.58.63.25516,382
23453.58.64.0/1853.58.64.1 to 53.58.127.25453.58.127.25516,382
23553.58.128.0/1853.58.128.1 to 53.58.191.25453.58.191.25516,382
23653.58.192.0/1853.58.192.1 to 53.58.255.25453.58.255.25516,382
23753.59.0.0/1853.59.0.1 to 53.59.63.25453.59.63.25516,382
23853.59.64.0/1853.59.64.1 to 53.59.127.25453.59.127.25516,382
23953.59.128.0/1853.59.128.1 to 53.59.191.25453.59.191.25516,382
24053.59.192.0/1853.59.192.1 to 53.59.255.25453.59.255.25516,382
24153.60.0.0/1853.60.0.1 to 53.60.63.25453.60.63.25516,382
24253.60.64.0/1853.60.64.1 to 53.60.127.25453.60.127.25516,382
24353.60.128.0/1853.60.128.1 to 53.60.191.25453.60.191.25516,382
24453.60.192.0/1853.60.192.1 to 53.60.255.25453.60.255.25516,382
24553.61.0.0/1853.61.0.1 to 53.61.63.25453.61.63.25516,382
24653.61.64.0/1853.61.64.1 to 53.61.127.25453.61.127.25516,382
24753.61.128.0/1853.61.128.1 to 53.61.191.25453.61.191.25516,382
24853.61.192.0/1853.61.192.1 to 53.61.255.25453.61.255.25516,382
24953.62.0.0/1853.62.0.1 to 53.62.63.25453.62.63.25516,382
25053.62.64.0/1853.62.64.1 to 53.62.127.25453.62.127.25516,382
25153.62.128.0/1853.62.128.1 to 53.62.191.25453.62.191.25516,382
25253.62.192.0/1853.62.192.1 to 53.62.255.25453.62.255.25516,382
25353.63.0.0/1853.63.0.1 to 53.63.63.25453.63.63.25516,382
25453.63.64.0/1853.63.64.1 to 53.63.127.25453.63.127.25516,382
25553.63.128.0/1853.63.128.1 to 53.63.191.25453.63.191.25516,382
25653.63.192.0/1853.63.192.1 to 53.63.255.25453.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses